Skip to main content

GetNowBlock

POST

Query the latest block information
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
Query Parameters
visibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)
Responses
blockIDstring
Block hash.
numberinteger
Block number (height).
txTrieRootstring
Root hash of the transaction Merkle tree.
witness_addressstring
Address of the Super Representative that produced the block.
parentHashstring
Hash of the parent block.
versioninteger
Protocol version number.
timestampinteger
Timestamp. (Unit: millisecond)
witness_signaturestring
Signature of the Super Representative.
cURL
curl -X POST 'https://tron-mainnet.nodit.io/wallet/getnowblock' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{}'